
#include "common.h"
#include <CoOS.h>
#include <rtc/rtc.h>
#include <uart/uart.h>

/*---------------------------- Inlcude ---------------------------------------*/
#include <CoOS.h>			              /*!< CoOS header file	         */

/*---------------------------- Symbol Define -------------------------------*/
#define STACK_SIZE_TASKA 100
#define STACK_SIZE_TASKB 100

/*---------------------------- Variable Define -------------------------------*/
OS_STK     taskA_stk[STACK_SIZE_TASKA];	  /*!< Define "taskA" task stack */
OS_STK     taskB_stk[STACK_SIZE_TASKB];	  /*!< Define "taskB" task stack */

uint32_t myCounter = 0x0;

void taskA (void* pdata)
{
    for (;;)
    {
        CoTickDelay (100);
        LED0_Toggle();
    }
}

void taskB (void* pdata)
{
	for (;;)
	{
        CoTickDelay (500);
        printf("Hello from TaskB!\n");
	}
}

int main (){

    LED0_Init();

    CoInitOS();

    CoCreateTask(taskA,0,0,&taskA_stk[STACK_SIZE_TASKA-1],STACK_SIZE_TASKA);
    CoCreateTask(taskB,0,1,&taskB_stk[STACK_SIZE_TASKB-1],STACK_SIZE_TASKB);
    CoStartOS();

    while (1);
}
